org.eclipse.mat.ui.internal.acquire

## Class ProviderArgumentsWizardPage

- java.lang.Object
- - WizardPage
  - - org.eclipse.mat.ui.internal.acquire.ProviderArgumentsWizardPage

All Implemented Interfaces:
  ProviderArgumentsTable.ITableListener

    public class ProviderArgumentsWizardPage
    extends WizardPage
    implements ProviderArgumentsTable.ITableListener

### Constructor Summary

Constructors
Constructor and Description
`ProviderArgumentsWizardPage(AcquireDialog acquireDialog)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(Composite parent)`
`AnnotatedObjectArgumentsSet` `getArgumentSet()`
`ProviderArgumentsTable` `getTable()`
`boolean` `isPageComplete()`
`void` `onError(String message)`
`void` `onFocus(String message)`
`void` `onInputChanged()`
`void` `onValueChanged()`
`void` `processSelected(AnnotatedObjectArgumentsSet argumentSet)`
`void` `relocateHelp(boolean create)`
`void` `setVisible(boolean f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProviderArgumentsWizardPage

    public ProviderArgumentsWizardPage(AcquireDialog acquireDialog)

### Method Detail

#### createControl

    public void createControl(Composite parent)

#### getTable

    public ProviderArgumentsTable getTable()

#### getArgumentSet

    public AnnotatedObjectArgumentsSet getArgumentSet()

#### onInputChanged

    public void onInputChanged()

Specified by:
  `onInputChanged` in interface `ProviderArgumentsTable.ITableListener`

#### onValueChanged

    public void onValueChanged()

Specified by:
  `onValueChanged` in interface `ProviderArgumentsTable.ITableListener`

#### onError

    public void onError(String message)

Specified by:
  `onError` in interface `ProviderArgumentsTable.ITableListener`

#### onFocus

    public void onFocus(String message)

Specified by:
  `onFocus` in interface `ProviderArgumentsTable.ITableListener`

#### isPageComplete

    public boolean isPageComplete()

#### relocateHelp

    public void relocateHelp(boolean create)

#### processSelected

    public void processSelected(AnnotatedObjectArgumentsSet argumentSet)

#### setVisible

    public void setVisible(boolean f)